Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Gelöst] Gentoo und Python, ich weis nicht mehr weiter
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
dsiggi
n00b
n00b


Joined: 28 Aug 2007
Posts: 49
Location: Wilhermsdorf

PostPosted: Tue Sep 03, 2013 4:29 pm    Post subject: [Gelöst] Gentoo und Python, ich weis nicht mehr weiter Reply with quote

Also langsam komm ich nicht mehr klar.
Irgendwie habe ich von vielen Programmen drei Versionen.
Z.b.
- dropbox
- dropbox-python2.7
- dropbox-python3.2

Bei diesem Beispiel funktionieren nur die beiden Versionen mit dem python am Schluss. Das "normale" Dropbox bricht mit folgendem Fehler ab:
Code:

siggi@akoya-linux ~ $ dropbox status
Traceback (most recent call last):
  File "/usr/bin/dropbox", line 35, in <module>
    sys.exit(codegen_main.codegen_main())
  File "/usr/lib64/python2.7/site-packages/gdbus_codegen/codegen_main.py", line 169, in codegen_main
    f = open(fname, 'rb')
IOError: [Errno 2] No such file or directory: 'status'


Jetzt wollte ich gerade mein System aktualisieren. Aber emerge bricht beim Paket ant-core immer ab.
Code:

>>> Emerging (1 of 6) dev-java/ant-core-1.9.2
 * apache-ant-1.9.2-src.tar.bz2 SHA256 SHA512 WHIRLPOOL size ;-) ...     [ ok ]
 * ant-1.9.2-gentoo.tar.bz2 SHA256 SHA512 WHIRLPOOL size ;-) ...         [ ok ]
Usage: depend-java-query [options]

depend-java-query: error: no such option: --get-vm
 * Unable to determine VM for building from dependencies:
NV_DEPEND: >=virtual/jdk-1.5
   !dev-java/ant-tasks
   !dev-java/ant-optional >=dev-java/java-config-2.1.9-r1  source? ( app-arch/zip )
      
      
      >=dev-java/javatoolkit-0.3.0-r2
      >=dev-lang/python-2.4
...


Von depend-java-query gibt es auch drei Versionen. Und nur die beiden mit dem python am Schluss funktionieren.

Hier mal die Ausgabe von eselect python list:
Code:

Available Python interpreters:
  [1]   python2.7
  [2]   python3.2 *


Per google habe ich zu diesem Problem nichts gefunden.

Ich hoffe hier kann mit jemand helfen.

dsiggi


Last edited by dsiggi on Wed Sep 04, 2013 7:04 pm; edited 1 time in total
Back to top
View user's profile Send private message
Christian99
l33t
l33t


Joined: 28 May 2009
Posts: 989

PostPosted: Tue Sep 03, 2013 7:08 pm    Post subject: Reply with quote

versuch doch mal dein python auf 2.7 zu setzen.
EDIT: wann hast du das letzte mal python-updater laufen lassen?
Back to top
View user's profile Send private message
dsiggi
n00b
n00b


Joined: 28 Aug 2007
Posts: 49
Location: Wilhermsdorf

PostPosted: Wed Sep 04, 2013 7:03 pm    Post subject: Reply with quote

Die Lösung war es, python-exec neu zu emergen.

dsiggi
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum